Xeonr Developer Docs
API SpecificationEgress

ListEgressEvents

POST
/containers.api.v1.EgressPolicyService/ListEgressEvents

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

namespace?string
principalId?string

optional: one job/sandbox

sinceUnix?integer|string
Formatint64
pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.EgressPolicyService/ListEgressEvents" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "events": [
    {
      "principalId": "string",
      "namespace": "string",
      "atUnix": 0,
      "host": "string",
      "port": 0,
      "method": "string",
      "path": "string",
      "status": 0,
      "bytes": 0,
      "decision": "DECISION_UNSPECIFIED",
      "eventId": "string",
      "detail": "string"
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}